Subject: I-D ACTION:draft-hassler-ldapv3-secparam-00.txt

From: [email-masked]
Date: Fri, 06 Mar 1998 14:44:44 -0500

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title		: LDAPv3 Security Parameters
	Author(s)	: V. Hassler
	Filename	: draft-hassler-ldapv3-secparam-00.txt
	Pages		: 5
	Date		: 05-Mar-98
	
   Two security services that are required in many applications but have
   not been addressed by LDAPv3 [ldapv3] in a satisfactory manner yet
   are integrity and non-repudiation. According to the latest LDAPv3
   security draft [ldapv3-auth] integrity can be achieved within a
   secure association only. Non-repudiation, and by this we mean digital
   signing of operations, is mentioned in [ldapv3] as an example of the
   use of the LDAPv3 extended operation mechanism.
   A disadvantage of this approach is that it would be necessary
   to define a new Extended Request/Response pair for
   each basic operation that should be signed.
 
   This document defines an LDAP control called LDAPSecurityParameters
   for transferring security parameters with LDAP operations.
   With this control it is possible to append digital signature
   to LDAP operations and in this way provide for message
   authenticity, message integrity, non-repudiation of message
   origin and message freshness.

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
	"get draft-hassler-ldapv3-secparam-00.txt".
A URL for the Internet-Draft is:
ftp://ftp.ietf.org/internet-drafts/draft-hassler-ldapv3-secparam-00.txt

Internet-Drafts directories are located at:

	Africa:	ftp.is.co.za
	
	Europe: ftp.nordu.net
		ftp.nis.garr.it
			
	Pacific Rim: munnari.oz.au
	
	US East Coast: ds.internic.net
	
	US West Coast: ftp.isi.edu

Internet-Drafts are also available by mail.

Send a message to:	[email-masked].  In the body type:
	"FILE /internet-drafts/draft-hassler-ldapv3-secparam-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.